# Uses of Class
org.eclipse.jdt.core.dom.RequiresDirective

Packages that use RequiresDirective
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of RequiresDirective in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return RequiresDirective
Modifier and Type
Method
Description
`RequiresDirective`
AST.`newRequiresDirective()`
Creates and returns a new unparented requires directive node for an unspecified, but legal, name;
Methods in org.eclipse.jdt.core.dom with parameters of type RequiresDirective
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(RequiresDirective node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(RequiresDirective node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(RequiresDirective node)`
Visits the given type-specific AST node.